<script lang="ts">
  import Root from 'bits-ui';
  import { cn, type WithoutChildren } from '$lib/utils/cn.svelte.js';

  let {
    ref = $bindable(null),
    class: className,
    ...restProps
  }: WithoutChildren<Root.Field.LabelProps> = $props();
</script>

<Root.Field.Label
  bind:ref
  data-slot="field-label"
  class={cn('text-sm leading-none font-medium select-none', className)}
  {...restProps}
/>